#ifndef MSP_AL_CONTEXT_H_
#define MSP_AL_CONTEXT_H_

#ifdef __APPLE__
#include <OpenAL/alc.h>
#else
#include <AL/alc.h>
#endif

namespace Msp {
namespace AL {

class Device;

class Context
{
private:
	ALCcontext *context;

public:
	Context(Device &);
	~Context();
};

} // namespace AL
} // namespace Msp

#endif
